commit:     6b36a2c81ca050cd1cebbd63189ff475090f9117
Author:     Michał Górny <mgorny <AT> gentoo <DOT> org>
AuthorDate: Thu Oct 28 06:19:53 2021 +0000
Commit:     Michał Górny <mgorny <AT> gentoo <DOT> org>
CommitDate: Thu Oct 28 07:00:29 2021 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=6b36a2c8

dev-python/botocore: Bump to 1.22.5

Signed-off-by: Michał Górny <mgorny <AT> gentoo.org>

 dev-python/botocore/Manifest               |  1 +
 dev-python/botocore/botocore-1.22.5.ebuild | 50 ++++++++++++++++++++++++++++++
 2 files changed, 51 insertions(+)

diff --git a/dev-python/botocore/Manifest b/dev-python/botocore/Manifest
index 792947bf328..a6b3fa9accd 100644
--- a/dev-python/botocore/Manifest
+++ b/dev-python/botocore/Manifest
@@ -10,3 +10,4 @@ DIST botocore-1.22.1.tar.gz 8276879 BLAKE2B 
91b339fa62d5faf808273c26187d86e1c855
 DIST botocore-1.22.2.tar.gz 8277756 BLAKE2B 
6f875956c08d02ac9d92dd6c3aa7ac98cafa018612a98a75e67d50b9ac47d9e0ca7fad535c07b13006b68345be3cccc8bdd56a338cc0599a6182922df736d65e
 SHA512 
6e9853a1cb05b5c3cd7f125b98a7d8bd72c7d188829c1704ca79e77cdfe08e9d9901507f89ca09a60e095da150f4721dd1ba1e52209cabd1ed240a59b920b71e
 DIST botocore-1.22.3.tar.gz 8286647 BLAKE2B 
724687f78f9a90c2cc6e93b1071b6c926f9a668cf73d471c84a11da45ef818ac943bf80318f84102ec68fb5147da704ca06bb6bae5ebee96fb80bb383020f392
 SHA512 
5a664943badc6d775e150751bfe2e6125c0d4f46f77b262d4dca6d8f4cdfa04e0eb458104e9f2f3d16f6d42251318cf9e2969a1ba359c8e09ca2f3bf1d151882
 DIST botocore-1.22.4.tar.gz 8289629 BLAKE2B 
871dcf2d4d994984e8fc160f53afcb51a3328e05ffe2b7890665aa1e4bb4ac837aabc8be09dc64c105b99eafcae4f6146e6539ae9005e6cf570090f32a3ce86d
 SHA512 
1931063e27c63d464bf858b54a1a31f0465c9effaf13fa3ddd91fff4701d7f4546cc81b67d0772e0e10a525443a9df90b8d07bee31d012e88a4292dd115f399b
+DIST botocore-1.22.5.tar.gz 8301083 BLAKE2B 
91f9d38e7c5bcb0b8f58c04547ad45489f58d2240c6b7301cf632969a4a73cf4a1d51c8c68c8def27653c10041d2163ad7ca800dcf6fd07972b506bf2566cae3
 SHA512 
710a9eeee03dc79ca4ffacc4974f09ca769e1e3b8cb143f6f0349240dd8c2af8ee526a1dadb7310a26019363f683fc4149cb4c73d8b94a856a384fab7f84fb5c

diff --git a/dev-python/botocore/botocore-1.22.5.ebuild 
b/dev-python/botocore/botocore-1.22.5.ebuild
new file mode 100644
index 00000000000..638620b2cbc
--- /dev/null
+++ b/dev-python/botocore/botocore-1.22.5.ebuild
@@ -0,0 +1,50 @@
+# Copyright 1999-2021 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+PYTHON_COMPAT=( python3_{8..10} )
+inherit distutils-r1
+
+DESCRIPTION="Low-level, data-driven core of boto 3"
+HOMEPAGE="https://github.com/boto/botocore";
+LICENSE="Apache-2.0"
+SLOT="0"
+
+if [[ "${PV}" == "9999" ]]; then
+       EGIT_REPO_URI="https://github.com/boto/botocore";
+       inherit git-r3
+else
+       SRC_URI="mirror://pypi/${PN:0:1}/${PN}/${P}.tar.gz"
+       KEYWORDS="~amd64 ~arm ~arm64 ~ppc ~ppc64 ~sparc ~x86 ~amd64-linux 
~x86-linux"
+fi
+
+RDEPEND="
+       dev-python/six[${PYTHON_USEDEP}]
+       dev-python/jmespath[${PYTHON_USEDEP}]
+       dev-python/python-dateutil[${PYTHON_USEDEP}]
+       >=dev-python/urllib3-1.25.4[${PYTHON_USEDEP}]
+"
+BDEPEND="
+       test? (
+               dev-python/jsonschema[${PYTHON_USEDEP}]
+       )
+"
+
+PATCHES=(
+       "${FILESDIR}/1.8.6-tests-pass-all-env-vars-to-cmd-runner.patch"
+)
+
+distutils_enable_sphinx docs/source \
+       'dev-python/guzzle_sphinx_theme'
+distutils_enable_tests pytest
+
+src_prepare() {
+       # unpin deps
+       sed -i -e "s:>=.*':':" setup.py || die
+       distutils-r1_src_prepare
+}
+
+python_test() {
+       epytest tests/{functional,unit}
+}

Reply via email to